package de.intevation.flys.artifacts.states.fixation;

import org.apache.log4j.Logger;

import de.intevation.artifacts.Artifact;

import de.intevation.flys.utils.FLYSUtils;

import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.artifacts.states.RangeState;


/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class LocationSelect extends RangeState {

    /** The logger used in this class. */
    private static Logger logger = Logger.getLogger(LocationSelect.class);

    /**
     * The default constructor that initializes an empty State object.
     */
    public LocationSelect() {
    }

    @Override
    protected String getUIProvider() {
        return "fix.location_panel";
    }

    @Override
    protected double[] getMinMax(Artifact artifact) {
        FLYSArtifact flysArtifact = (FLYSArtifact) artifact;
        return FLYSUtils.getRiverMinMax(flysArtifact);
    }


    /** Misuse to set location mode. */
    @Override
    public boolean validate(Artifact artifact)
    throws IllegalArgumentException
    {
        ((FLYSArtifact) artifact).addStringData("ld_mode", "distance");
        return super.validate(artifact);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
